Summary: 	Extremely simple, and feature-rich, HTML/text editor for GTK/GNOME.
Name: 		gnotepad+
Version: 	1.3.3
Release: 	1
Copyright: 	GPL
URL: 		http://gnotepad.sourceforge.net
Group: 		Editors
Source0: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}.desktop
Source2:        apprc
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  gtk-xmhtml-devel
Requires: 	gtk-xmhtml

%description
gnotepad+ is an easy-to-use, yet fairly feature-rich, simple HTML/text
editor for systems running X11 and using GTK+/GNOME. It is designed
for as little bloat as possible, while still providing many of the
common features found in a modern GUI-based text editor.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS -lintl"
%configure \
	    --enable-project \
	    --enable-splash \
	    --enable-gtk-xmhtml \
	    --enable-nls \
	    --without-included-gettext
make

%install
rm -rf $RPM_BUILD_ROOT
# The makeinstall macro didnt work
make DESTDIR=$RPM_BUILD_ROOT gnulocaledir=$RPM_BUILD_ROOT%{_datadir}/locale install
mkdir -p $RPM_BUILD_ROOT/{root/.gnp,etc/skel/.gnp}; cp %{SOURCE2} $RPM_BUILD_ROOT/root/.gnp; cp %{SOURCE2} $RPM_BUILD_ROOT/etc/skel/.gnp
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Editors
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Editors

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc
/root
/usr/bin
/usr/share/gnotepad+/xpm
/usr/share/locale
/usr/share/peanut
/usr/man
